Package org.eclipse.lemminx.services

## Class XMLCodeActions

- java.lang.Object
- - org.eclipse.lemminx.services.XMLCodeActions

    public class XMLCodeActions
    extends Object

Code action support.

### Constructor Summary

Constructors
`XMLCodeActions​(XMLExtensionsRegistry extensionsRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.eclipse.lsp4j.CodeAction>` `doCodeActions​(org.eclipse.lsp4j.CodeActionContext context, org.eclipse.lsp4j.Range range, DOMDocument document, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`org.eclipse.lsp4j.CodeAction` `resolveCodeAction​(org.eclipse.lsp4j.CodeAction unresolved, DOMDocument document, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCodeActions

    public XMLCodeActions​(XMLExtensionsRegistry extensionsRegistry)

### Method Detail

#### doCodeActions

    public List<org.eclipse.lsp4j.CodeAction> doCodeActions​(org.eclipse.lsp4j.CodeActionContext context,
                                                            org.eclipse.lsp4j.Range range,
                                                            DOMDocument document,
                                                            SharedSettings sharedSettings,
                                                            org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                                     throws CancellationException

Throws:
  `CancellationException`

#### resolveCodeAction

    public org.eclipse.lsp4j.CodeAction resolveCodeAction​(org.eclipse.lsp4j.CodeAction unresolved,
                                                          DOMDocument document,
                                                          SharedSettings sharedSettings,
                                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                                   throws CancellationException

Throws:
  `CancellationException`